Subject: [XCON] Comments on draft-ietf-sipping-cc-conferencing-01

From: eburger at snowshore.com (Eric Burger)
Date: Mon Jul 14 10:09:53 2003

[on XCON list, even though a SIPPING draft]

Section 3.4:
I'm hesitant to say a conference aware UA SHOULD subscribe to conference state.  That's really an application decision.  One might suggest it, e.g., "the UA can subscribe to the conference state."  A similar sentiment goes for the following paragraph.  Why would or why would not a UA want to display information gleaned from SIP?  In any event, it is not a protocol issue, so it doesn't really merit a MAY (or SHOULD).

Section 4.2:
How else, in the SIP world, would a focus bring a user agent into the conference other than by INVITE?  Maybe the SHOULD here is the inclusion of the ;isfocus parameter.  That said, why is it not MUST?

Section 4.3:
Having the scars of Early Media from netann, I would suggest not going down the path of IVR interactions before session establishment completes.  There are a lot of ugly corner cases to think of and work around.  I would drop the paragraph.

Section 4.6:
Same as 4.2, but with REFER.  Is the SHOULD that REFER is preferred to a new INVITE or that ;isfocus SHOULD be in the contact.  If the former, this is the SIPPING work group, the only thing we can spec is SIP stuff, and thus this is redundant.  If it is the latter, then is there a reason including ;isfocus is not mandatory?